Bug 868050 - koan replaces RHEL package
koan replaces RHEL package
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 20:35 EDT by John T. Rose
Modified: 2014-04-21 14:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-21 14:15:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John T. Rose 2012-10-18 20:35:20 EDT
# yum list koan
Loaded plugins: refresh-packagekit, rhnplugin, security
Available Packages
koan.noarch                                                   2.2.3-2.el6                                                   epel

# yum --disablerepo=epel --disablerepo=rpmforge list koan
Loaded plugins: refresh-packagekit, rhnplugin, security
Available Packages
koan.noarch                                 2.0.7-21.el6sat                                  rhn-tools-rhel-x86_64-workstation-6

Generally I would just ask for this package to be removed from EPEL however I have a feeling EPEL doesn't have a clearly enough defined conflict policy to know whether packages in the rhn-tools channels are fair to clobber. So I just wanted to make the observation that there is a conflict with a package provided to RHEL consumers by Red Hat for removal consideration or policy clarification.

Thanks.
Comment 1 Orion Poplawski 2013-12-16 15:44:30 EST
koan is a sub-package of cobbler
Comment 2 Paul Robert Marino 2014-01-15 11:41:36 EST
in this case it shouldn't be a problem because the upstream project for satellite works fine with koan-2.2 and would work with koan-2.4 however at the time I'm posting this there is a current bug in koan-2.4 which breaks the the API's Satellite uses.
Comment 3 Orion Poplawski 2014-04-21 14:15:44 EDT
Fedora EPEL does not treat rhn-tools-rhel as a conflicting repository.

Note You need to log in before you can comment on or make changes to this bug.